OGRE: Ogre::NaClGLContext Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::NaClGLContext Class Reference

`#include <OgreNaClGLContext.h>`

Inheritance diagram for Ogre::NaClGLContext:
[legend]

## Public Member Functions
| NaClGLContext (const NaClWindow *window, const NaClGLSupport *glsupport, pp::Instance *instance, pp::CompletionCallback *swapCallback)
virtual | ~NaClGLContext ()
GLES2Context * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. More...
virtual void | endCurrent ()
| This is called before another context is made current. More...
bool | getInitialized ()
virtual void | Graphics3DContextLost ()
| The Graphics3DClient interface - pp::Graphics3DClient_Dev. More...
virtual void | releaseContext ()
| Release the render context. More...
void | resize ()
virtual void | setCurrent ()
| Enable the context. More...
void | setInitialized ()
void | swapBuffers ()

## Constructor & Destructor Documentation

## ◆ NaClGLContext()

Ogre::NaClGLContext::NaClGLContext | ( | const NaClWindow * | window,
|  | const NaClGLSupport * | glsupport,
|  | pp::Instance * | instance,
|  | pp::CompletionCallback * | swapCallback
| ) |  |

## ◆ ~NaClGLContext()

virtual Ogre::NaClGLContext::~NaClGLContext | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

GLES2Context* Ogre::NaClGLContext::clone | ( |  | ) | const
| virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::GLES2Context.

## ◆ endCurrent()

virtual void Ogre::NaClGLContext::endCurrent | ( |  | ) |
| virtual

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GLES2Context.

## ◆ getInitialized()

bool Ogre::GLES2Context::getInitialized | ( |  | ) |
| inlineinherited

## ◆ Graphics3DContextLost()

virtual void Ogre::NaClGLContext::Graphics3DContextLost | ( |  | ) |
| virtual

The Graphics3DClient interface - pp::Graphics3DClient_Dev.

## ◆ releaseContext()

virtual void Ogre::GLES2Context::releaseContext | ( |  | ) |
| inlinevirtualinherited

Release the render context.

## ◆ resize()

void Ogre::NaClGLContext::resize | ( |  | ) |

## ◆ setCurrent()

virtual void Ogre::NaClGLContext::setCurrent | ( |  | ) |
| virtual

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GLES2Context.

## ◆ setInitialized()

void Ogre::GLES2Context::setInitialized | ( |  | ) |
| inlineinherited

## ◆ swapBuffers()

void Ogre::NaClGLContext::swapBuffers | ( |  | ) |

The documentation for this class was generated from the following file:

- OgreNaClGLContext.h